Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSurfacePointCloudMsg Class Reference
GoSdk/Messages » Data Channel

## Description

Represents a data message containing a surface array.

Inheritance diagram for GoSurfacePointCloudMsg:

## Public Member Functions
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k32u | GoSurfacePointCloudMsg_Exposure (GoSurfacePointCloudMsg msg)
| Gets the exposure. More...
kBool | GoSurfacePointCloudMsg_IsAdjacent (GoSurfacePointCloudMsg msg)
| Is the unresampled surface data adjacent/sorted? More...
kSize | GoSurfacePointCloudMsg_Length (GoSurfacePointCloudMsg msg)
| Gets the length of the surface (row count). More...
kPoint3d16s * | GoSurfacePointCloudMsg_RowAt (GoSurfacePointCloudMsg msg, kSize index)
| Gets a pointer to a surface row. More...
GoDataSource | GoSurfacePointCloudMsg_Source (GoSurfacePointCloudMsg msg)
| Gets the profile source. More...
GoDataStep | GoSurfacePointCloudMsg_StreamStep (GoSurfacePointCloudMsg msg)
| Gets the source of the data stream. More...
k32s | GoSurfacePointCloudMsg_StreamStepId (GoSurfacePointCloudMsg msg)
| Gets the identifier of the data stream from the source. More...
kSize | GoSurfacePointCloudMsg_Width (GoSurfacePointCloudMsg msg)
| Gets the width of the surface (column count). More...
k32s | GoSurfacePointCloudMsg_XOffset (GoSurfacePointCloudMsg msg)
| Gets the surface x-offset, in micrometers. More...
k32u | GoSurfacePointCloudMsg_XResolution (GoSurfacePointCloudMsg msg)
| Gets the surface x-resolution, in nanometers. More...
k32s | GoSurfacePointCloudMsg_YOffset (GoSurfacePointCloudMsg msg)
| Gets the surface y-offset, in micrometers. More...
k32u | GoSurfacePointCloudMsg_YResolution (GoSurfacePointCloudMsg msg)
| Gets the surface y-resolution, in nanometers. More...
k32s | GoSurfacePointCloudMsg_ZOffset (GoSurfacePointCloudMsg msg)
| Gets the surface z-offset, in micrometers. More...
k32u | GoSurfacePointCloudMsg_ZResolution (GoSurfacePointCloudMsg msg)
| Gets the surface z-resolution, in nanometers. More...

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h